Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List all store groups

Retrieves all store groups for the specified app, including their associated markets with pricing and tax configuration details.

GET/api/v1/{team_slug}/{app_slug}/store-groups
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

Responses
200

Store groups retrieved successfully

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.StoreGroupWithMarkets[]required
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.StoreGroupWithMarkets
country_of_salestring | null
created_atstring
descriptionstring
idstring
marketsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.StoreGroupMarket[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.StoreGroupMarket
activeboolean
country_codesstring[] | null
created_atstring
currency_codestring
idstring
is_tax_exemption_eligibleboolean
is_tax_included_in_priceboolean
localestring
namestring
slugstring
updated_atstring | null
namestring
slugstring
store_typestring
updated_atstring | null
successboolean
totalinteger
total_pagesinteger
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v1/string/string/store-groups' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "country_of_sale": "string",
      "created_at": "string",
      "description": "string",
      "id": "string",
      "markets": [
        {
          "active": true,
          "country_codes": [
            "string"
          ],
          "created_at": "string",
          "currency_code": "string",
          "id": "string",
          "is_tax_exemption_eligible": true,
          "is_tax_included_in_price": true,
          "locale": "string",
          "name": "string",
          "slug": "string",
          "updated_at": "string"
        }
      ],
      "name": "string",
      "slug": "string",
      "store_type": "string",
      "updated_at": "string"
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}